;=========================
;
; FILENAME: tables.inc
;
; Modify By: Charlie Hicks 27 Apr 01
;
; This file shows the starting location and the 256 bytes 
; of data in the substitution table (S-box) and the 256 bytes 
; of data in the invertable substitution table (Si-box). 
; The data in these tables is used for both the Encryption and  
; the Decryption process of the Rijndael Algorithm. 
;
;==========




	ORG	0x0600		;Program Memory starting address

S_table:
	addwf	 PCL,f
;	retlw    D'99'		;except S_table[0]
	retlw	 D'124'
	retlw    D'119'		   
	retlw    D'123'
	retlw    D'242'
	retlw    D'107'
	retlw    D'111'
	retlw    D'197'
	retlw    D'48'
	retlw    D'1'
	retlw    D'103'
	retlw    D'43'
	retlw    D'254'
	retlw    D'215'
	retlw    D'171'
	retlw    D'118'
	retlw    D'202'
	retlw    D'130'
	retlw    D'201'
	retlw    D'125'
	retlw    D'250'
	retlw    D'89'
	retlw    D'71'
	retlw    D'240'
	retlw    D'173'
	retlw    D'212'
	retlw    D'162'
	retlw    D'175'
	retlw    D'156'
	retlw    D'164'
	retlw    D'114'
	retlw    D'192'
	retlw    D'183'
	retlw    D'253'
	retlw    D'147'
	retlw    D'38'
	retlw    D'54'
	retlw    D'63'
	retlw    D'247'
	retlw    D'204'
	retlw    D'52'
	retlw    D'165'
	retlw    D'229'
	retlw    D'241'
	retlw    D'113'
	retlw    D'216'	
	retlw    D'49'
	retlw    D'21'
	retlw    D'4'
	retlw    D'199'
	retlw    D'35'
	retlw    D'195'
	retlw    D'24'
	retlw    D'150'	
	retlw    D'5'
	retlw    D'154'
	retlw    D'7'
	retlw    D'18'
	retlw    D'128'
	retlw    D'226'
	retlw    D'235'
	retlw    D'39'
	retlw    D'178'
	retlw    D'117'
	retlw    D'9'
	retlw    D'131'
	retlw    D'44'	
	retlw    D'26'
	retlw    D'27'
	retlw    D'110'
	retlw    D'90'
	retlw    D'160'
	retlw    D'82'
	retlw    D'59'
	retlw    D'214'
	retlw    D'179'
	retlw    D'41'
	retlw    D'227'	
	retlw    D'47'
	retlw    D'132'
	retlw    D'83'
	retlw    D'209'
	retlw    D'0'
	retlw    D'237'
	retlw    D'32'
	retlw    D'252'
	retlw    D'177'
	retlw    D'91'
	retlw    D'106'
	retlw    D'203'
	retlw    D'190'
	retlw    D'57'
	retlw    D'74'
	retlw    D'76'	
	retlw    D'88'
	retlw    D'207'
	retlw    D'208'
	retlw    D'239'
	retlw    D'170'
	retlw    D'251'
	retlw    D'67'
	retlw    D'77'
	retlw    D'51'
	retlw    D'133'
	retlw    D'69'
	retlw    D'249'
	retlw    D'2'
	retlw    D'127'
	retlw    D'80'
	retlw    D'60'
	retlw    D'159'
	retlw    D'168'
	retlw    D'81'
	retlw    D'163'
	retlw    D'64'
	retlw    D'143'
	retlw    D'146'
	retlw    D'157'
	retlw    D'56'
	retlw    D'245'
	retlw    D'188'
	retlw    D'182'
	retlw    D'218'
	retlw    D'33'
	retlw    D'16'
	retlw    D'255'
	retlw    D'243'
	retlw    D'210'
	retlw    D'205'
	retlw    D'12'
	retlw    D'19'
	retlw    D'236'
	retlw    D'95'
	retlw    D'151'
	retlw    D'68'
	retlw    D'23'
	retlw    D'196'
	retlw    D'167'
	retlw    D'126'
	retlw    D'61'
	retlw    D'100'
	retlw    D'93'
	retlw    D'25'
	retlw    D'115'
	retlw    D'96'
	retlw    D'129'
	retlw    D'79'
	retlw    D'220'
	retlw    D'34'
	retlw    D'42'
	retlw    D'144'
	retlw    D'136'
	retlw    D'70'
	retlw    D'238'
	retlw    D'184'
	retlw    D'20'
	retlw    D'222'
	retlw    D'94'
	retlw    D'11'
	retlw    D'219'
	retlw    D'224'
	retlw    D'50'
	retlw    D'58'
	retlw    D'10'
	retlw    D'73'
	retlw    D'6'
	retlw    D'36'
	retlw    D'92'
	retlw    D'194'
	retlw    D'211'
	retlw    D'172'
	retlw    D'98'
	retlw    D'145'
	retlw    D'149'
	retlw    D'228'
	retlw    D'121'
	retlw    D'231'
	retlw    D'200'
	retlw    D'55'
	retlw    D'109'
	retlw    D'141'
	retlw    D'213'
	retlw    D'78'
	retlw    D'169'
	retlw    D'108'
	retlw    D'86'
	retlw    D'244'
	retlw    D'234'
	retlw    D'101'
	retlw    D'122'
	retlw    D'174'
	retlw    D'8'
	retlw    D'186'
	retlw    D'120'
	retlw    D'37'
	retlw    D'46'
	retlw    D'28'
	retlw    D'166'
	retlw    D'180'
	retlw    D'198'
	retlw    D'232'
	retlw    D'221'
	retlw    D'116'
	retlw    D'31'
	retlw    D'75'
	retlw    D'189'
	retlw    D'139'
	retlw    D'138'
	retlw    D'112'
	retlw    D'62'
	retlw    D'181'
	retlw    D'102'
	retlw    D'72'
	retlw    D'3'
	retlw    D'246'
	retlw    D'14'
	retlw    D'97'
	retlw    D'53'
	retlw    D'87'
	retlw    D'185'
	retlw    D'134'
	retlw    D'193'
	retlw    D'29'
	retlw    D'158'
	retlw    D'225'
	retlw    D'248'
	retlw    D'152'
	retlw    D'17'
	retlw    D'105'
	retlw    D'217'
	retlw    D'142'
	retlw    D'148'
	retlw    D'155'
	retlw    D'30'
	retlw    D'135'
	retlw    D'233'
	retlw    D'206'
	retlw    D'85'
	retlw    D'40'
	retlw    D'223'
	retlw    D'140'
	retlw    D'161'
	retlw    D'137'
	retlw    D'13'
	retlw    D'191'
	retlw    D'230'
	retlw    D'66'
	retlw    D'104'
	retlw    D'65'
	retlw    D'153'
	retlw    D'45'
	retlw    D'15'
	retlw    D'176'
	retlw    D'84'
	retlw    D'187'
	retlw    D'22'

	ORG	0x0700		;Program Memory starting address

Si_table:
	addwf	 PCL,f
;	retlw    D'82'		;except Si_table[0]
	retlw    D'9'
	retlw    D'106'
	retlw    D'213'
	retlw    D'48'
	retlw    D'54'
	retlw    D'165'
	retlw    D'56'
	retlw    D'191'
	retlw    D'64'
	retlw    D'163'
	retlw    D'158'
	retlw    D'129'
	retlw    D'243'
	retlw    D'215'
	retlw    D'251'
	retlw    D'124'
	retlw    D'227'
	retlw    D'57'
	retlw    D'130'
	retlw    D'155'
	retlw    D'47'
	retlw    D'255'
	retlw    D'135'
	retlw    D'52'
	retlw    D'142'
	retlw    D'67'
	retlw    D'68'
	retlw    D'196'
	retlw    D'222'
	retlw    D'233'
	retlw    D'203'
	retlw    D'84'
	retlw    D'123'
	retlw    D'148'
	retlw    D'50'
	retlw    D'166'
	retlw    D'194'
	retlw    D'35'
	retlw    D'61'
	retlw    D'238'
	retlw    D'76'
	retlw    D'149'
	retlw    D'11'
	retlw    D'66'
	retlw    D'250'
	retlw    D'195'
	retlw    D'78'
	retlw    D'8'
	retlw    D'46'
	retlw    D'161'
	retlw    D'102'
	retlw    D'40'
	retlw    D'217'
	retlw    D'36'
	retlw    D'178'
	retlw    D'118'
	retlw    D'91'
	retlw    D'162'
	retlw    D'73'
	retlw    D'109'
	retlw    D'139'
	retlw    D'209'
	retlw    D'37'
	retlw    D'114'
	retlw    D'248'
	retlw    D'246'
	retlw    D'100'
	retlw    D'134'
	retlw    D'104'
	retlw    D'152'
	retlw    D'22'
	retlw    D'212'
	retlw    D'164'
	retlw    D'92'
	retlw    D'204'
	retlw    D'93'
	retlw    D'101'
	retlw    D'182'
	retlw    D'146'
	retlw    D'108'
	retlw    D'112'
	retlw    D'72'
	retlw    D'80'
	retlw    D'253'
	retlw    D'237'
	retlw    D'185'
	retlw    D'218'
	retlw    D'94'
	retlw    D'21'
	retlw    D'70'
	retlw    D'87'
	retlw    D'167'
	retlw    D'141'
	retlw    D'157'
	retlw    D'132'
	retlw    D'144'
	retlw    D'216'
	retlw    D'171'
	retlw    D'0'
	retlw    D'140'
	retlw    D'188'
	retlw    D'211'
	retlw    D'10'
	retlw    D'247'
	retlw    D'228'
	retlw    D'88'
	retlw    D'5'
	retlw    D'184'
	retlw    D'179'
	retlw    D'69'
	retlw    D'6'
	retlw    D'208'
	retlw    D'44'
	retlw    D'30'
	retlw    D'143'
	retlw    D'202'
	retlw    D'63'
	retlw    D'15'
	retlw    D'2'
	retlw    D'193'
	retlw    D'175'
	retlw    D'189'
	retlw    D'3'
	retlw    D'1'
	retlw    D'19'
	retlw    D'138'
	retlw    D'107'
	retlw    D'58'
	retlw    D'145'
	retlw    D'17'
	retlw    D'65'
	retlw    D'79'
	retlw    D'103'
	retlw    D'220'
	retlw    D'234'
	retlw    D'151'
	retlw    D'242'
	retlw    D'207'
	retlw    D'206'
	retlw    D'240'
	retlw    D'180'
	retlw    D'230'
	retlw    D'115'
	retlw    D'150'
	retlw    D'172'
	retlw    D'116'
	retlw    D'34'
	retlw    D'231'
	retlw    D'173'
	retlw    D'53'
	retlw    D'133'
	retlw    D'226'
	retlw    D'249'
	retlw    D'55'
	retlw    D'232'
	retlw    D'28'
	retlw    D'117'
	retlw    D'223'
	retlw    D'110'
	retlw    D'71'
	retlw    D'241'
	retlw    D'26'
	retlw    D'113'
	retlw    D'29'
	retlw    D'41'
	retlw    D'197'
	retlw    D'137'
	retlw    D'111'
	retlw    D'183'
	retlw    D'98'
	retlw    D'14'
	retlw    D'170'
	retlw    D'24'
	retlw    D'190'
	retlw    D'27'
	retlw    D'252'
	retlw    D'86'
	retlw    D'62'
	retlw    D'75'
	retlw    D'198'
	retlw    D'210'
	retlw    D'121'
	retlw    D'32'
	retlw    D'154'
	retlw    D'219'
	retlw    D'192'
	retlw    D'254'
	retlw    D'120'
	retlw    D'205'
	retlw    D'90'
	retlw    D'244'
	retlw    D'31'
	retlw    D'221'
	retlw    D'168'
	retlw    D'51'
	retlw    D'136'
	retlw    D'7'
	retlw    D'199'
	retlw    D'49'
	retlw    D'177'
	retlw    D'18'
	retlw    D'16'
	retlw    D'89'
	retlw    D'39'
	retlw    D'128'
	retlw    D'236'
	retlw    D'95'
	retlw    D'96'
	retlw    D'81'
	retlw    D'127'
	retlw    D'169'
	retlw    D'25'
	retlw    D'181'
	retlw    D'74'
	retlw    D'13'
	retlw    D'45'
	retlw    D'229'
	retlw    D'122'
	retlw    D'159'
	retlw    D'147'
	retlw    D'201'
	retlw    D'156'
	retlw    D'239'
	retlw    D'160'
	retlw    D'224'
	retlw    D'59'
	retlw    D'77'
	retlw    D'174'
	retlw    D'42'
	retlw    D'245'
	retlw    D'176'
	retlw    D'200'
	retlw    D'235'
	retlw    D'187'
	retlw    D'60'
	retlw    D'131'
	retlw    D'83'
	retlw    D'153'
	retlw    D'97'
	retlw    D'23'
	retlw    D'43'
	retlw    D'4'
	retlw    D'126'
	retlw    D'186'
	retlw    D'119'
	retlw    D'214'
	retlw    D'38'
	retlw    D'225'
	retlw    D'105'
	retlw    D'20'
	retlw    D'99'
	retlw    D'85'
	retlw    D'33'
	retlw    D'12'
	retlw    D'125'

